0

I have created a new HTML5 app with the Ubuntu SDK, and whenever I click the Run button, I get the following output on the console:

Setting import path to:  /home/dbugger/Bautista/www/../lib/x86_64-linux-gnu 

WARNING: This project is using the experimental QML API extensions for QtWebKit and is therefore tied to a specific QtWebKit release.
WARNING: The experimental API will change from version to version, or even be removed. You have been warned!

unity::action::ActionManager::ActionManager(QObject*):
    Could not determine application identifier. HUD will not work properly.
    Provide your application identifier in $APP_ID environment variable.
Cannot create CordovaView object.
Falling back on the plain Webview backend.
Inspector server started successfully. Try pointing a WebKit browser to http://192.168.178.25:9221

** (ubuntu-html5-app-launcher:16912): WARNING **: Unable to register app: GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: Invalid application ID
Injecting webapps script[0] : file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/UnityWebApps/unity-webapps-api.js

I get the warnings about using an experimental API, but the next messages are quite puzzling. I do not really understand what they are trying to say, but it kinda looks as if I was missing something.

Can someone explain me what they are about, and if I should do something to get rid of them?

1

I'll try to give additional details about the other messages:

  • "unity::action::ActionManager::ActionManager(QObject*): Could not determine application identifier. HUD will not work properly. Provide your application identifier in $APP_ID environment variable."

This one is harmless and are related to the HUD as you can see. The HTML5 app launcher uses the HUD as the backend for some of its exposed APIs. The HUD requires some application context data to be set to work properly. Those info are usually set on touch by the environment as an application is started, but in the context of qtcreator it is not. You can set it yourself if you manually start the application, e.g "APP_ID= ubuntu-html5-app-launcher --www=www"

  • "Cannot create CordovaView object. Falling back on the plain Webview backend."

Again this is more information than warning nothing to worry about. As you might know an HTML5 application can use the Ubuntu Javascript APIs and also the Cordova APIs. By default the Cordova APIs are not available, you have to enable them (some runtime libs will be additionally packaged in your click app). The runtime backend is internally different whether you use cordova or not. This message just tells you that the cordova APIs are not availble and you will run with the default runtime that "only" packages the Ubuntu Javascript APIs,

  • "** (ubuntu-html5-app-launcher:16912): WARNING **: Unable to register app: GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: Invalid application ID"

This warning is the same as the first one, the absence of APP_ID environment variable (usually set by the environment) prevents some minor internal elements from working,

Hope it helps,

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.